"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const fetch = __importStar(require("./fetch"));
describe("fetch", () => {
    describe("fetchEventSource", () => {
        it("cannot create event source since there is no document", () => {
            fetch.fetchEventSource("http://localhost:3000", {}).catch((error) => {
                expect(error).toEqual(new ReferenceError("document is not defined"));
            });
        });
        it("cannot create event source since there is no window", () => {
            fetch
                .fetchEventSource("http://localhost:3000", { openWhenHidden: true })
                .catch((error) => {
                expect(error).toEqual(new ReferenceError("window is not defined"));
            });
        });
        it("can create event source", () => {
            const fetchStub = jasmine.createSpy();
            const promise = fetch.fetchEventSource("http://localhost:3000", {
                openWhenHidden: true,
                fetch: fetchStub,
            });
            expect(promise).toBeDefined();
        });
    });
});
//# sourceMappingURL=fetch.spec.js.map